<!-- templates/index.html -->
{% extends 'base.html' %}

{% block title %}Data Topik{% endblock %}

{% block pages %}Data Topik{% endblock %}

<!-- Data Menu -->
{% block home %}-{% endblock %}
{% block matkul %}-{% endblock %}
{% block topik %}active{% endblock %}
{% block mahasiswa %}-{% endblock %}
{% block training %}-{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Form Input Topik</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" action="{{ url_for('add_topik_route') }}">
              <div class="card-body">
                <div class="form-group">
                  <label for="exampleInputPassword1">Nama Topik</label>
                  <input type="text" name="nama" class="form-control" placeholder="Nama Topik">
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Keterangan Topik</label>
                  <textarea  name="keterangan" class="form-control" placeholder="Keterangan Topik" rows="5" cols="5"></textarea>
                </div>
              </div>
              <!-- /.card-body -->

              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Simpan</button>
              </div>
            </form>
          </div>
        <div class="card">
            <div class="card-header">
              <h3 class="card-title">Tabel Data Topik</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th style="width: 5%;">No</th>
                  <th>Mata Kuliah</th>
                  <th>Keterangan</th>
                  <th style="width: 18%;">Actions</th>
                </tr>
                </thead>
                <tbody>
                  {% for topik in topiks %}
                  <tr>
                    <td>{{ topik.id }}</td>
                    <td>{{ topik.nama }}</td>
                    <td>{{ topik.keterangan }}</td>
                    <td>
                      <a class="btn btn-primary btn-sm" href="{{ url_for('edit_topik_route', topik_id=topik.id) }}">Edit</a>  
                      <a class="btn btn-danger btn-sm" href="{{ url_for('delete_topik_route', topik_id=topik.id) }}">Delete</a></td>
                  </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>


{% endblock %}